package com.moneyhouse.sensors.internal.idgenerator;

public class BRICKUNIQUEIDHELPER {

	
	 
	static public int calculateBrickUIDCheckSum(String brickid){
		int checksum = 0;
		System.out.println("--> BRICKUNIQUEIDHELPER.calculateBrickUIDCheckSum("+brickid+")");
		int checknumber = 0;
		for(int i = 0; i < brickid.length(); i++){
			String pos = brickid.substring(i, (i+1));
			if(i < 11|| i== 13 || i==15){
				try
				{
				int val= new Integer(pos).intValue();
				checknumber = checknumber + val;
				} catch (NumberFormatException ex){
					ex.printStackTrace();
					 break;
				}
			}
			if(i == 11){
				// check port ID in detail
				if(pos.equals("Z")) {
					checknumber = checknumber + 3; 
				}
				else if (pos.equals("A")) {
					checknumber = checknumber + 1; 
				}
				else if (pos.equals("B")) {
					checknumber = checknumber + 2; 
				}
				else {
					break;
					
				}
			}
			else if(i == 12){
				// expect a M
				if(pos.equals("M")) {
					checknumber = checknumber + 14; 
				} else{
					break;
				}
			}
			else if(i == 14){
				// expect a _
				if(pos.equals("_")) {
					checknumber = checknumber + 5; 
				} else{
					break;
				}
			}
			
			
		}
		String calcres = checknumber+"";
		int le = calcres.length();
		String lastDigit = calcres.substring((le-1));
		checksum = new Integer(lastDigit).intValue();

		System.out.println("<-- BRICKUNIQUEIDHELPER.calculateBrickUIDCheckSum("+brickid+")");
		return checksum;
	} 
	
	static public boolean isBrickUIDParameterValid(String para){
		System.out.println("--> BRICKUNIQUEIDHELPER.isBrickUIDParameterValid("+para+")");
		boolean retval = true; 
		int checknumber = 0;
		for(int i = 0; i < para.length(); i++){
			String pos = para.substring(i, (i+1));
			if(i < 11|| i== 13 || i==15){
				try
				{
				int val= new Integer(pos).intValue();
				checknumber = checknumber + val;
				} catch (NumberFormatException ex){
					ex.printStackTrace();
					 retval = false;
					 break;
				}
			}
			if(i == 11){
				// check port ID in detail
				if(pos.equals("Z")) {
					checknumber = checknumber + 3; 
				}
				else if (pos.equals("A")) {
					checknumber = checknumber + 1; 
				}
				else if (pos.equals("B")) {
					checknumber = checknumber + 2; 
				}
				else {
					retval = false;
					break;
					
				}
			}
			else if(i == 12){
				// expect a M
				if(pos.equals("M")) {
					checknumber = checknumber + 14; 
				} else{
					retval = false;
					break;
				}
			}
			else if(i == 14){
				// expect a _
				if(pos.equals("_")) {
					checknumber = checknumber + 5; 
				} else{
					retval = false;
					break;
				}
			}
			
			else if(i == 16){
				// ultimate check - compare check id with calucualted result
				String calcres = checknumber+"";
				int le = calcres.length();
				String lastDigit = calcres.substring((le-1));
				System.out.println("Expected: "+lastDigit);
				System.out.println("Obtained: "+pos);
				if(lastDigit.equals(pos)){
					// its the same
					// correct 
				} else{
					retval = false;
					break;
					
				}
			}
			
		}
		System.out.println("<-- BRICKUNIQUEIDHELPER.isBrickUIDParameterValid("+para+")");
		
		return retval;
	}
}
