/**
 * Copyright (c) 2016 Money House Limited Qian Zhuang 88 All rights reserved.
 *  
 * This file is part of TMOR system, is free software and comes with no WARRANTY
 *
 * BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, 
 * TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING 
 * THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY 
 * OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK 
 * AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE 
 * DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION. 
 * 
 * This program is free software; you can redistribute it and/or modify it under the 
 * terms of the GNU General Public License as published by the Free Software Foundation; 
 * version 3 of the License, or (at your option) any later version. 
 * 
 * TMOR is distributed in the hope that it will be useful,but WITHOUT ANY WARRANTY; 
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 * PURPOSE. See the GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License along with TMOR.  
 * If not, see <http://www.gnu.org/licenses/>.
 */
package com.moneyhouse.tmor.serial.xbee.dto;

/** HOLDS THE MAIN CONSTANTS AROUND THE XBEE COMMUNICATION MODULE
 * @author Frederic
 *
 */
public interface XBeeConstants {
	static public String COMMAND_sendSPTB0 = "sendSPTB0";				// SET OUTPUT PORT B0 
	static public String COMMAND_sendSPTB1 = "sendSPTB1";				// SET OUTPUT PORT B1
	static public String COMMAND_readOW = "readOW";						// READ ONE WIRE PORT

	static public String COMMAND_heartBEAT = "heartbeat";				// READ THE VALUES OF THE OUTPUT PORTS

	/**
	 * ITS NOT A BRICK MODULe - ITS THE BASE STATION
	 */
	static public String MODULE_ADDRESS_BASESTATION = "BASESTATION";	// ITS NOT A BRICK MODULe - ITS THE BASE STATION
	
	static public String RETURN_VALUE_RADIO_MODULE = "NO_RESPONSE_YET";
}
